#!/bin/sh
#BK 120920
#handle special case of user installing this pet in a running pup, then wanting to uninstall it.
#see notes in /lib/modules/README-modem-firmware.
#note, this script is a post-uninstall script, run after pet has been removed, however, .files
# is deleted after puninstall.sh is run (see /usr/local/petget/removepreview.sh).

#the pet puninstall.sh has been moved to /root/.packages/${DB_pkgname}.remove (when pet installed)...
#ex: /root/.packages/firmware_linux_module_b43-120920.remove
FIRMPKG="$(echo "$0" | rev | cut -f 1 -d '/' | cut -f 2-9 -d '.' | rev)" #ex: firmware_linux_module_b43-120920
FIRMDIR="$(echo "$FIRMPKG" | cut -f 4 -d '_' | cut -f 1 -d '-')" #ex: b43
[ ! "$FIRMDIR" ] && exit #precaution.
KERNVER="`uname -r`"


iPATTERN='^'"${FIRMDIR}"'$'
if [ "`grep "$iPATTERN" /etc/modules/firmware.dep.inst.${KERNVER}`" != "" ];then
 #firmware has been installed.

 if [ -f /root/.packages/${FIRMPKG}.files ];then #precaution.
  grep '/lib/modules/modem-firmware' /root/.packages/${FIRMPKG}.files > /tmp/petget-allfirm-files
  if [ -s /tmp/petget-allfirm-files ];then
   fmPTN="s%/lib/modules/modem-firmware/${FIRMDIR}/%/%"
   for ONEAF in `sed -e "$fmPTN" /tmp/petget-allfirm-files | tr '\n' ' '`
   do
    [ -f $ONEAF ] && rm -f $ONEAF
   done
  fi
 fi

 grep -v "$iPATTERN" /etc/modules/firmware.dep.inst.${KERNVER} > /tmp/fdepinst-temp1
 mv -f /tmp/fdepinst-temp1 /etc/modules/firmware.dep.inst.${KERNVER}

fi
